package kz.cafe.db.logs.model;


import org.bson.types.*;
import com.google.code.morphia.annotations.*;



@Entity(value = "LogRecordHeader", noClassnameStored = true, concern = "Normal")
public class MLogHeader{
   public static final String F_DATE = "date";

   @Id
   public ObjectId _id;

   @Indexed
   public long UID;

   @Indexed
   public String SID;

   @Indexed
   public long date;

   public long performance;

   public String IP;

   public String name;

   public String request_url;

   public String request_post;






   @Override
   public String toString(){
      StringBuilder builder = new StringBuilder();
      builder.append("MLogRecord3 [UID=");
      builder.append(UID);
      builder.append(", date=");
      builder.append(date);
      builder.append(", performance=");
      builder.append(performance);
      builder.append(", IP=");
      builder.append(IP);
      builder.append(", name=");
      builder.append(name);
      builder.append(", request=");
      builder.append(request_url);
      builder.append("]");
      return builder.toString();
   }
}
